org.eclipse.mat.ui.util

## Class PopupMenu

- java.lang.Object
- - org.eclipse.mat.ui.util.PopupMenu

    public final class PopupMenu
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PopupMenu()`
`PopupMenu(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Action action)`
`void` `add(PopupMenu menu)`
`void` `addSeparator()`
`void` `addToMenu(IStatusLineManager statusLineManager, Menu menu)`
`Menu` `createMenu(IStatusLineManager statusLineManager, Control parent)`
`PopupMenu` `getChildMenu(String name)`
`void` `setActionDefinitionId(String actionDefinitionId)`
`void` `setImageDescriptor(ImageDescriptor imageDescriptor)`
`void` `setToolTipText(String tooltip)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopupMenu

    public PopupMenu()

#### PopupMenu

    public PopupMenu(String name)

### Method Detail

#### add

    public void add(Action action)

#### add

    public void add(PopupMenu menu)

#### addSeparator

    public void addSeparator()

#### getChildMenu

    public PopupMenu getChildMenu(String name)

#### setToolTipText

    public void setToolTipText(String tooltip)

#### setImageDescriptor

    public void setImageDescriptor(ImageDescriptor imageDescriptor)

#### setActionDefinitionId

    public void setActionDefinitionId(String actionDefinitionId)

#### addToMenu

    public void addToMenu(IStatusLineManager statusLineManager,
                          Menu menu)

#### createMenu

    public Menu createMenu(IStatusLineManager statusLineManager,
                           Control parent)